[SM-Grimoire-Bugs] [Bug 15318] New: parted 1.9.0 optionally requires device-mapper

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sat Jul 25 13:35:42 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15318

           Summary: parted 1.9.0 optionally requires device-mapper
           Product: Codex
           Version: test grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: disk
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org


I have no device-mapper installed.

# cast parted
Computing previously installed dependencies...
parted preparing environment...
parted checking dependencies...
parted has a dependency on autoconf
parted has a dependency on automake
parted has a dependency on libtool
parted has an enabled optional dependency on readline
parted has an enabled optional dependency on gettext
parted checking for reverse triggers...
This is a possibly incompatible update of parted...
Figuring out what spells need to be recast, this may take a while.
parted triggers a cast_self on hal
parted triggers a cast_self on libvirt
...
checking for dm_task_create in -ldevmapper... no
configure: error: libdevmapper could not be found, but is required for the
--enable-device-mapper option, which is enabled by default.  Either disable
device-mapper support with --disable-device-mapper or download and install
device-mapper from:
        http://sources.redhat.com/dm/
Note: if you are using precompiled packages you will need the development
package as well (it may be called device-mapper-devel or something similar).

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list